QGIS Redmine (QGIS bug tracker) - Support #3940
Quantum GIS project shows wrong GIT url on project overview
2011-06-05 03:43 AM - Tim Sutton

Status: Closed Start date: 2011-06-05
Priority: Normal Due date:

Assignee: Pirmin Kalberer % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Pull Request or Patch supplied: Tag:

Description

This is a 'feature’ / side effect of the fact that we are using the gitosis plugin for redmine. Currently we have no solution for this. We will
update the front page when we figure it out.

History

#1 - 2011-06-05 04:03 AM - Tim Sutton

- Assignee changed from Tim Sutton to Pirmin Kalberer

Pirmin, do you know of any fix for this?

#2 - 2011-06-05 12:32 PM - Pirmin Kalberer

The gitosis plugin seems to show a git(osis) URL even when the project has no local repo. | will look for a patch.

#3 - 2011-06-12 01:02 PM - Pirmin Kalberer
- Status changed from Open to Closed

I've patched the gitosis plugin to show only git URLs for local gitosis repos:

--- app/views/projects/_redmine_gitosis.rhtml.orig  2011-06-12 12:42:07.000000000 -0700
+++ app/views/projects/_redmine_gitosis.rhtml 2011-06-12 12:42:40.000000000 -0700
@@ -1,4+1,4 @@
-<% if @project.repository && @project.repository.is_a?(Repository::Git) %>
+<% if @project.repository && @project.repository.is_a?(Repository::Git) && @project.repository.url =~ /gitosis/ %>
<div class="box">
<h3>Git Repository</h3>

<p>
